<template>
    <div
        :class="
            first
                ? 'tab-pane table-responsive active'
                : 'tab-pane table-responsive'
        "
        :id="'membership' + tipo.replace('.', '_')"
    >
        <table class="table m-b-0 table-hover">
            <thead>
                <tr>
                    <th>SKU</th>
                    <th class="clickable" @click.prevent="get('country')">
                        {{ field.name }}
                    </th>
                    <th class="clickable" @click.prevent="get('country')">
                        {{ field.country }}
                    </th>
                    <th class="clickable" @click.prevent="get('price')">
                        {{ field.price }}
                    </th>
                    <th class="clickable" @click.prevent="get('properties')">
                        {{ field.properties }}
                    </th>
                    <th class="clickable" @click.prevent="get('admin_agency')">
                        {{ field.admins }}
                    </th>
                    <th class="clickable" @click.prevent="get('agency_agent')">
                        {{ field.agents }}
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr v-for="m of membership" :key="m.id">
                    <td>
                        <span class="list-name"
                            >MEM {{ m.id | SetIdForm }}</span
                        >
                    </td>
                    <td>{{ m.title }}</td>
                    <td>{{ m.country }}</td>
                    <td>{{ m.price }} USD</td>
                    <td>{{ m.properties }}</td>
                    <td>{{ m.admin_agency }}</td>
                    <td>{{ m.agency_agent }}</td>
                </tr>
            </tbody>
        </table>
    </div>
</template>
<script>
export default {
    props: ["pais", "active", "type", "lang"],
    mounted() {
        this.get();
    },
    data() {
        return {
            country: this.pais,
            first: this.active,
            membership: null,
            tipo: this.type,
            order: null,
            modo: "asc",
            field: this.lang
        };
    },
    methods: {
        get(order = "") {
            this.membership = null;
            if (order == this.order) {
                this.modo = this.modo == "asc" ? "desc" : "asc";
            } else {
                this.modo = "asc";
            }
            this.order = order;
            axios
                .get(
                    "/api/memberships?withType=" +
                        this.tipo +
                        "&orderBy=" +
                        order +
                        "&orderMode=" +
                        this.modo
                )
                .then(res => {
                    this.membership = res.data;
                });
        }
    }
};
</script>
